## org.biojavax.bio.phylo.io.nexus
Interface NexusBlock

All Superinterfaces:
  NexusObject

All Known Implementing Classes:
  CharactersBlock, DataBlock, DistancesBlock, NexusBlock.Abstract, TaxaBlock, TreesBlock

    public interface NexusBlock

extends NexusObject

Represents a Nexus block.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Nested Class Summary
`static class` `NexusBlock.Abstract`

Method Summary
`String` `getBlockName()` Get the block name.

Methods inherited from interface org.biojavax.bio.phylo.io.nexus.NexusObject
`writeObject`

Method Detail

### getBlockName

    String getBlockName()

  Get the block name.

  Returns:
    the block name.